Subject: Re: malloc: *** error for object 0x1: pointer being freed was not allocated on MacOS with git 2.47.0

From: Junio C Hamano <[email-masked]>
Date: Tue, 19 Nov 2024 08:51:29 +0900

Patrick Steinhardt <[email-masked]> writes:

> On Mon, Nov 18, 2024 at 09:42:03PM +0900, Junio C Hamano wrote:
>> Patrick Steinhardt <[email-masked]> writes:
>> >     ps/upgrade-clar
>> >     wm/shortlog-hash
>> 
>> Unfortuately, these were both based not on 'maint' but on 'master',
>> and cannot ever be merged down to 'maint'.  The last topic may
>> deserve to be cherry-picked to 'maint' when the time comes.
>
> We got several reports about build failures with clar on esoteric
> platforms, and ps/upgrade-clar fixes those. Distro maintainers can of
> course cherry-pick those patches, but I think it would make sense to
> pull them into a maintenance release.
>
> I am happy to  provide a backport for ps/upgrade-clar if you agree with
> me.

I am primarily following the wish left by the interim maintainer.
If a fix was based on 'master', it was deemed not critical to be
downmerged to 'maint'.  Other fixes may have been forked from
'maint'.  Cherry-picking is a declaration that the initial choice
was a grave mistake, and I'd rather avoid that for a small thing
that are not critical to the end-users and only affects developers.

In addition, for those building themselves, I'd prefer to nudge them
to be on the latest release, and not backporting developer features
at fringe like testing is probably a sensible way to do so.

Cherry-picking I can handle myself if it is necessaary.  Accepting a
new patch from you would cost me more time than that ;-).

Thanks.